Nokia Qt SDK - QtMobilityAPI - Mac10.6



  • Hi,

    I am using the Nokia Qt sdk for developing apps(s60 based Apps) in Mac10.6. How to install the QtMobiltyAPI in mac ? Please help me.. Since last two days I tried. I could not solve this ... please help me.. Thanks in advance

    [edit: removed duplicate thread / chetankjain]



  • I don't think you can develop for S60 on Mac. I think the tools are simply not available for Mac (compilers, simulators, etc).



  • Hi

    [quote author="Benjamin Poulain" date="1287228578"]I don't think you can develop for S60 on Mac. I think the tools are simply not available for Mac (compilers, simulators, etc).[/quote]

    To develop for Symbian on Mac there is the remote compiler (it is available again for Mac in the latest Nokia Qt SDK release). It still experimental but works fine for simple projects (at least in the Linux version). AFAIK, the simulator is not available.

    About Qt Mobility. How did you try to install it?
    'Help->Start Updater then select Qt Mobility in the package manager' - Is it available on Mac version?



  • If you have access to a Windows box (a virtual machine is sufficient), you could download the Nokia Qt SDK for Windows and use that to install the Qt Mobility libs on your phone. Then install and compile Qt Mobility separately on your Mac. Not as convenient as using Qt Creator all the way through but unfortunately probably the only way to do it right now.



  • Thank u very much all..But I have some doubts. I am developing the one product in nokia qt sdk and I could see the result in simulators (QT Simulator). Normally nokia qt sdk used for developing s60 application,But my doubts is it possible to develop the apps in mac10.6 environment. Please point out me where I understood wrong.I am totally confused.

    I have some more doubts please clarify me.

    1. If I use windows means then shall I overcome all the problems.
    2. Why we configure the QTMobility API separately in the environment? because In the QTSimulator folder also have all the API.

    _I referred this link also "http://doc.qt.nokia.com/qtmobility-1.1.0-beta2/installation.html":http://doc.qt.nokia.com/qtmobility-1.1.0-beta2/installation.html
    _
    Sorry I am very new to this this. Thanks in advance.

    Thanks
    Girija.

    [edit: fixed link / chetankjain]


Log in to reply
 

Looks like your connection to Qt Forum was lost, please wait while we try to reconnect.